import { RollupError } from 'rollup';
import { ViteDevServer } from '../..';
import { Connect } from 'types/connect';
import { ErrorPayload } from 'types/hmrPayload';
export declare function prepareError(err: Error | RollupError): ErrorPayload['err'];
export declare function errorMiddleware(server: ViteDevServer): Connect.ErrorHandleFunction;
